<template>
  <router-link :to="{name: $props.link}" class="menu-item" active-class="menu-item--active">
    <font-awesome-icon class="menu-item__icon" :icon="$props.icon"/>
    <div v-if="$props.showText" class="menu-item__text">
      {{ $props.text }}
    </div>
  </router-link>
</template>

<script>
export default {
  name: 'MenuItem',
  props: {
    link: {
      reuired: true,
      type: String,
    },
    icon: {
      required: true,
      type: String,
    },
    text: {
      required: true,
      type: String,
    },
    showText: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.menu-item {
  position: relative;
  height: 60px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  text-decoration: none;
  transition: border 0.2s ease-in-out;
  white-space: nowrap;
  overflow-x: hidden;

  &::after {
    content: '';
    position: absolute;
    top: 15px;
    left: 0;
    height: 30px;
    width: 3px;
    background: $surface;
    transition: background ease-in-out .2s;
  }

  &:hover {
    cursor: pointer;

    &::after {
      background: $primary;
    }

  }

  &--active {

    &::after {
      background: $primary;
    }

    .menu-item__icon { color: $primary; }

  }

  &__icon {
    margin-left: 22px;
    height: 20px;
    color: $neutralDarker;
    transition: color 0.2s ease-in-out;
  }

  &__text {
    margin-left: 10px;
    color: $neutralDarker;
    font-size: 16px;
    font-family: $firaSans;
    text-decoration: none;
    white-space: nowrap;
  }

}
</style>
